PHP-GTK2 Cookbook Forum
Welcome, Guest
Please Login or Register.    Lost Password?
Include Content Item and PHP 5.3 ? (2 viewing) (2) Guests
Go to bottom Post Reply Favoured: 0
TOPIC: Include Content Item and PHP 5.3 ?


#3089
tekfix (User)
Fresh Boarder
Posts: 3
graphgraph
User Offline Click here to see the profile of this user
Include Content Item and PHP 5.3 ? 4 Years, 3 Months ago Karma: 0  
Hi,

My operator upgraded the PHP from version 5.2 to version 5.3 and the include_content_item stopped working. It only shows the instead of the actual item. The Joomla is version 1.5.15.

Any hints on how to solve this problem with this excellent add-on?
 
  The administrator has disabled public write access.

#3098
kksou (Admin)
Admin
Posts: 1701
graph
User Online Now Click here to see the profile of this user
Re:Include Content Item and PHP 5.3 ? 4 Years, 3 Months ago Karma: 27  
Hi,

Any other people using PHP5.3 facing the same problem?

Could you please install a fresh copy of Joomla somewhere on your site and then the include content item plugin - just to make sure that it's due to PHP5.3?

Regards,
/kksou
 
  The administrator has disabled public write access.

#3103
tekfix (User)
Fresh Boarder
Posts: 3
graphgraph
User Offline Click here to see the profile of this user
Re:Include Content Item and PHP 5.3 ? 4 Years, 3 Months ago Karma: 0  
Made a fresh install. The same problem is there. BUT - Now I realized, that the problem is not the plugin (version 1.58) - it works perfectly on PHP 5.3 when you include content in other content! The problem is that I want to include content in a module and the module (version 1.51) is the problem! (Sorry about that confusion...) Btw - I also noticed that the link to that module is broken on your page! Is there any newer version of the module available?

These are the error messages produced when trying to use the module on PHP 5.3.1 (it worked fine on PHP 5.2):

Code:
Warning: Parameter 2 to plgContentinclude_content_item::onPrepareContent()
expected to be a reference, value given in 
/libraries/joomla/event/event.php on line 67

Warning: Parameter 2 to plgContentEmailCloak() expected 
to be a reference, value given in 
/libraries/joomla/event/dispatcher.php on line 136

Warning: Parameter 2 to plgContentLoadModule() expected 
to be a reference, value given in
/libraries/joomla/event/dispatcher.php on line 136

Warning: Parameter 2 to plgContentPagebreak() expected to 
be a reference, value given in 
/libraries/joomla/event/dispatcher.php on line 136
 
 
Last Edit: 2010/01/12 16:06 By tekfix.
  The administrator has disabled public write access.
#3135
kksou (Admin)
Admin
Posts: 1701
graph
User Online Now Click here to see the profile of this user
Re:Include Content Item and PHP 5.3 ? 4 Years, 3 Months ago Karma: 27  
Hi,

Sorry for the late reply.

I've modified the code and emailed that to you.

Can you try if it works before I release the new version on the website?

Thanks and Regards,
/kksou
 
  The administrator has disabled public write access.
#3136
tekfix (User)
Fresh Boarder
Posts: 3
graphgraph
User Offline Click here to see the profile of this user
Re:Include Content Item and PHP 5.3 ? 4 Years, 3 Months ago Karma: 0  
No problem. Tested and confirmed! It works perfectly on PHP 5.3.1.

Thank you for a very useful module!
 
 
Last Edit: 2010/01/18 20:09 By tekfix.
  The administrator has disabled public write access.
#3157
lukeG (User)
Fresh Boarder
Posts: 2
graphgraph
User Offline Click here to see the profile of this user
Re:Include Content Item and PHP 5.3 ? 4 Years, 3 Months ago Karma: 0  
Hi,

Having the same problem here! Any idea when this fix will be published for download?
Now I also have problem de´nstalling the plugin.

"Plugin Uninstall: Manifest File invalid or not found"

Bye!
 
  The administrator has disabled public write access.
#3159
kksou (Admin)
Admin
Posts: 1701
graph
User Online Now Click here to see the profile of this user
Re:Include Content Item and PHP 5.3 ? 4 Years, 3 Months ago Karma: 27  
For those interested, I've uploaded the latest version to the server:

Include Content Item Module v1.52

Regards,
/kksou
 
 
Last Edit: 2010/01/25 09:26 By kksou.
  The administrator has disabled public write access.
#3162
lukeG (User)
Fresh Boarder
Posts: 2
graphgraph
User Offline Click here to see the profile of this user
Re:Include Content Item and PHP 5.3 ? 4 Years, 2 Months ago Karma: 0  
Hi,

I have the same problem with the mod_pausing_up_down_scroller, do you have a solution for that?

Wkr, Luke
 
  The administrator has disabled public write access.
#3731
mniederm (User)
Fresh Boarder
Posts: 1
graphgraph
User Offline Click here to see the profile of this user
Re:Include Content Item and PHP 5.3 ? 3 Years, 9 Months ago Karma: 0  
Hi, how can I upgrade to the version 1.52 without deinstalling the old version? When I deinstall and install the new version all content item modules are deleted. Can I replace the files in the folder also, and it ist updated?
Thank you Michael
 
  The administrator has disabled public write access.
#3732
kksou (Admin)
Admin
Posts: 1701
graph
User Online Now Click here to see the profile of this user
Re:Include Content Item and PHP 5.3 ? 3 Years, 9 Months ago Karma: 27  
Hi Michael,

Yes, you can just unzip the files and replace the corresponding files in the folder. If there are any additional files, make sure you copy them too.

The only thing is that the version number will not reflect the correct one when you view in the Plugin Manager because the mysql database is not updated.

Regards,
/kksou
 
  The administrator has disabled public write access.



Go to top Post Reply
Powered by FireBoardget the latest posts directly to your desktop

Blog - Forum - Privacy Policy - Contact Us
Copyright © 2006-2012. kksou.com. All Rights Reserved